:root {
    font-size: 16px !important;
    --color-black: #000;
}

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

ul, p, h1, h2, h3, figure, figcaption{
    margin: 0;
    padding: 0;
}

li {
    list-style: none;
}

a {
    text-decoration: none;
}

.clear {
    clear: both;
}

body {
    font-family: Arial, sans-serif;
}

header .header-top ul li a {
    color: black;
    font-size: 15px;
}

.head-beck {
    background: whitesmoke;
}

header .header-top ul li a:hover {
    text-decoration: underline;
}

.logo {
    background: gold;
    box-shadow: 0 -200px 100px -120px yellowgreen ;
    border-radius: 30px;
    text-align: center;
    animation: background 3s infinite alternate;
}

@keyframes background {
    50% {
        background: skyblue;
        box-shadow: 0 -200px 100px -100px yellowgreen inset;
    }
}

header .siarch form > div {
     background-color: white;
     border: 1px solid lightgray;
     border-radius: 10px;
     padding-left: 15px;
     padding-right: 8px;
}

header .siarch form > div input {
     border: none;
     outline: none;
     height: 35px;
     width: 730px;
     font-size: 0.750rem;
}

header .header-midle {
    padding-bottom: 10px;
}

header  .siarch form > div input::placeholder {
    font-size: 0.750rem;
    line-height: 16px;
    color: black;
}

header .siarch form > div button {
    background: none;
    border: none;


    width: 100px;
    text-align: end;
}

.basket a {
    color: gray;
}

.basket {
    border: 1px solid black;
    border-radius: 10px;
    height: 35px;
    width: 200px;

}

header .header-background{
    background: black;
}

header .header-bot div {
    height: 51px;
    border-left: 1px solid gray;
    border-right: 1px solid gray;

}

header .header-bot div > a {
    color: white;
    font-size: 15px;
}

header .header-bot div:hover{
    background: darkorange;
}


.baner-carusel {
    margin-left: 100px;
    margin-bottom: 200px;
}

footer  {
    border-top: 1px solid black;
}

 .foot-back {
    background: whitesmoke;
}

footer .foot-top div a {
    color: black;
    font-size: 14px;
}

footer .foot-top .padin-foot p {
    font-weight: bold;
}

footer .foot-top .padin-foot div {
    padding-top: 8px;
}

footer .foot-top  p  {
    font-size: 18px;
    padding-top: 20px;
}

footer .padin-foot .network {
    padding-bottom: 20px;
    padding-top: 20px !important;
}

footer .network a img {
    height: 30px;
    width: 30px;
    margin-right: 10px;
}

.foot-bot {
    background: white;
    padding-top: 30px;
}

footer .link-webstup p,
footer .link-webstup a {
    color: black;
    font-size: 15px;
}

footer .copyright p {
    text-align: center;
    font-size: 15px;
}

footer .copyright a {
    margin-left: 44px;
    color: black;
    font-size: 15px;
}

.image-slider__image {
    max-width: 100%;
}

.slider-product {
    overflow: hidden;
    position: relative;
}

.swiper-wrapper {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.image-slider__slide {
    margin: 0;
}

.swiper-button-next {
    right: 0;
    padding-left: 100px;
}

.swiper-button-prev {
    left: 0;
    padding-right: 10px;
}

.swiper-button-next,
.swiper-button-prev {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    z-index: 1;
}
.image-slider.swiper-container {
    margin-left: 90px;
}

.swiper-button-next::after,
.swiper-button-prev::after {
    color: black;
}

.filter-label {
    display: block;
    margin-bottom: 5px;
}

.all-products-container {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(250px, 1fr));
    gap: 1rem;
    padding: 1rem;
}

.product-card {
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: #f9f9f9;
    border-radius: 10px;
    padding: 20px;
    width: calc(25% - 40px);
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    margin-left: 20px;
    margin-right: 20px;
    margin-top: 20px;
}

.product-image {
    display: block;
}

.product-image img {
    max-width: 100%;
    max-height: 150px;
    object-fit: contain;
    margin-bottom: 10px;
}

.product-info {
    margin-bottom: 10px;
    margin-top: 10px;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    width: 100%;
}

.availability {
    text-align: left;
    color: green;
    font-size: 14px;
    margin-bottom: 0.5rem;
    width: 100%;
}

.product-name {
    margin-bottom: 10px;
    margin-top: 10px;
    font-size: 15px;
    font-weight: 700;
    text-align: center;
    width: 100%;
}

.product-name a {
    color: #333;
    text-decoration: none;
}

.price-and-button {
    margin-bottom: 10px;
    margin-top: 10px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
}

.price {
    font-size: 18px;
    font-weight: 700;
    margin-right: 10px;
}

.buy-button {
    font-size: 16px;
    padding: 6px 12px;
    background-color: #f9e442;
    border: none;
    cursor: pointer;
    border-radius: 12px;
}

.products-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-start;
    align-items: flex-start;
    margin-left: -20px;
    margin-right: -20px;
}

.buy-button:hover {
    background-color: #d4ad1d;
}

@media (max-width: 991px) {
    .product-card {
        width: calc(33% - 40px);
    }
}

@media (max-width: 767px) {
    .product-card {
        width: calc(50% - 40px);
    }
}

@media (max-width: 575px) {
    .product-card {
        width: calc(100% - 40px);
    }
}